### Method

# Adw NavigationViewget_previous_page

since: 1.4

#### Declaration [src]

    AdwNavigationPage*
    adw_navigation_view_get_previous_page (
      AdwNavigationView* self,
      AdwNavigationPage* page
    )

#### Description [src]

Gets the previous page for `page`.

If `page` is in the navigation stack, returns the page popping `page` will reveal.

If `page` is the root page or is not in the navigation stack, returns `NULL`.

Available since: 1.4

#### Parameters

`page`

  Type: `AdwNavigationPage`

  A page in `self`.

  The data is owned by the caller of the method.

#### Return value

Type: `AdwNavigationPage`

The previous page.

The returned data is owned by the instance.
The return value can be `NULL`.